---
title: Animation.playState
slug: Web/API/Animation/playState
tags:
  - API
  - Animation
  - Property
  - Reference
  - Web Animations
  - playState
  - web animations api
---
<p>{{APIRef("Web Animations")}}{{SeeCompatTable}}</p>

<p>The <code><strong>Animation</strong></code><strong><code>.playState</code></strong> property of the <a href="/en-US/docs/Web/API/Web_Animations_API">Web Animations API</a> returns and sets an enumerated value describing the playback state of an animation.</p>

<div class="note">
<p>This property is read-only for CSS Animations and Transitions.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var<em> currentPlayState</em> = <em>Animation</em>.playState;

<em>Animation</em>.playState = <em>newState</em>;
</pre>

<h3 id="Value">Value</h3>

<dl>
 <dt><code>idle</code></dt>
 <dd>The current time of the animation is unresolved and there are no pending tasks.</dd>
 <dt><code>running</code></dt>
 <dd>The animation is running.</dd>
 <dt><code>paused</code></dt>
 <dd>The animation was suspended and the {{domxref("Animation.currentTime")}} property is not updating.</dd>
 <dt><code>finished</code></dt>
 <dd>The animation has reached one of its boundaries and the {{domxref("Animation.currentTime")}} property is not updating.</dd>
</dl>

<p>Previously, Web Animations defined a <code><strong>pending</strong></code> value to indicate that some asynchronous operation such as initiating playback was yet to complete. This is now indicated by the separate {{domxref("Animation.pending")}} property.</p>

<h2 id="Example">Example</h2>

<p>In the <a href="http://codepen.io/rachelnabors/pen/PNYGZQ?editors=0010">Growing/Shrinking Alice Game</a> example, players can get an ending with <a href="http://codepen.io/rachelnabors/pen/EPJdJx?editors=0010">Alice crying into a pool of tears</a>. In the game, for performance reasons, the tears should only be animating when they're visible. So they must be paused as soon as they are animated like so:</p>

<pre class="brush: js">// Setting up the tear animations

tears.forEach(function(el) {
  el.animate(
    tearsFalling,
    {
      delay: getRandomMsRange(-1000, 1000), // randomized for each tear
      duration: getRandomMsRange(2000, 6000), // randomized for each tear
      iterations: Infinity,
      easing: 'cubic-bezier(0.6, 0.04, 0.98, 0.335)'
    });
  el.pause();
});

// Play the tears falling when the ending needs to be shown.

tears.forEach(function(el) {
  el.play();
});

// Reset the crying tears animations and pause them.

tears.forEach(function(el) {
  el.pause();
  el.currentTime = 0;
});
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Animations', '#play-state', 'playState')}}</td>
   <td>{{Spec2("Web Animations")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.Animation.playState")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Web_Animations_API">Web Animations API</a></li>
 <li>{{domxref("Animation")}} for other methods and properties you can use to control web page animation.</li>
</ul>
